Subject: bug#62609: 29.0.60; [PATCH] src/comp.c: New variable `comp-el-to-eln-strip-prefix` for `comp-el-to-eln-rel-filename`

From: Andrea Corallo <[email-masked]>
Date: Mon, 03 Apr 2023 14:08:36 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: lin Sun <[email-masked]>
>> Date: Mon, 3 Apr 2023 00:53:18 +0000
>> 
>> You're right, the patch will allow to relocate/copy an elisp source folder from
>> /home/userA/.emacs.d/epla/**.el to
>> /home/userB/.emacs.d/epla/**.el.
>> So the patch should be the
>> "0002-New-variable-comp-el-to-eln-strip-prefix-for-comp-el.patch"
>> attached in this email.
>> 
>> And agree with you, it's dangerous when this variable is configured
>> with an arbitrary value.
>> So please feel free to close this ticket. Thanks
>
> I'd like to hear what Andrea thinks about this, before I decide
> whether to close.

Hi all,

I agree we should not add a new knob in order to move eln-cache without
moving the source *.el.  The use-case sounds like a corner case and this
new variable would be IMO very sensitive to miss configurations.

Best Regards

  Andrea